summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-mail/perdition/files/perdition.initd
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-mail/perdition/files/perdition.initd')
-rwxr-xr-xnet-mail/perdition/files/perdition.initd85
1 files changed, 85 insertions, 0 deletions
diff --git a/net-mail/perdition/files/perdition.initd b/net-mail/perdition/files/perdition.initd
new file mode 100755
index 000000000000..4b75b7f6e557
--- /dev/null
+++ b/net-mail/perdition/files/perdition.initd
@@ -0,0 +1,85 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need net
+}
+
+
+check_key() {
+ if [ ! -e /etc/perdition/perdition.crt.pem ] ; then
+ einfo "No SSL keys; see man perdition to create them. Or run: "
+ einfo "$ openssl req -new -x509 -nodes -out /etc/perdition/perdition.crt.pem -keyout /etc/perdition/perdition.key.pem -days 365"
+ return 1
+ fi
+}
+
+checkconfig() {
+ # create PIDDIR (usually /var/run/perdition) if necessary
+ if [ ! -d "${PIDDIR:-/var/run/perdition}" ] ; then
+ checkpath -q -d -o ${PERDITION_USER:-perdition}:${PERDITION_USER:-perdition} \
+ -m 0775 "${PIDDIR:-/var/run/perdition}" || return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ if [ "${POP3}" = "yes" ]; then
+ ebegin "Starting perdition services (POP3)"
+ start-stop-daemon --quiet --start --startas /usr/sbin/perdition.pop3 -p ${PIDDIR}/pop3.pid \
+ -- ${FLAGS} ${POP3_FLAGS} -u ${PERDITION_USER} --pid_file ${PIDDIR}/pop3.pid
+ eend $?
+ fi
+
+ if [ "${POP3S}" = "yes" ]; then
+ check_key || return 1
+ ebegin "Starting perdition services (POP3S)"
+ start-stop-daemon --quiet --start --startas /usr/sbin/perdition.pop3s -p ${PIDDIR}/pop3s.pid \
+ -- ${FLAGS} ${POP3S_FLAGS} -u ${PERDITION_USER} --pid_file ${PIDDIR}/pop3s.pid
+ eend $?
+ fi
+
+ if [ "${IMAP4}" = "yes" ]; then
+ ebegin "Starting perdition services (IMAP4)"
+ start-stop-daemon --quiet --start --startas /usr/sbin/perdition.imap4 -p ${PIDDIR}/imap4.pid \
+ -- ${FLAGS} ${IMAP4_FLAGS} -u ${PERDITION_USER} --pid_file ${PIDDIR}/imap4.pid
+ eend $?
+ fi
+
+ if [ "${IMAP4S}" = "yes" ]; then
+ check_key || return 1
+ ebegin "Starting perdition services (IMAP4S)"
+ start-stop-daemon --quiet --start --startas /usr/sbin/perdition.imap4s -p ${PIDDIR}/imap4s.pid \
+ -- ${FLAGS} ${IMAP4S_FLAGS} -u ${PERDITION_USER} --pid_file ${PIDDIR}/imap4s.pid
+ eend $?
+ fi
+}
+
+
+stop() {
+ if [ "${POP3}" = "yes" ]; then
+ ebegin "Shutting down perdition services (POP3)"
+ start-stop-daemon -o --quiet --stop --pidfile ${PIDDIR}/pop3.pid
+ eend $?
+ fi
+
+ if [ "${POP3S}" = "yes" ]; then
+ ebegin "Shutting down perdition services (POP3S)"
+ start-stop-daemon -o --quiet --stop --pidfile ${PIDDIR}/pop3s.pid
+ eend $?
+ fi
+
+ if [ "${IMAP4}" = "yes" ]; then
+ ebegin "Shutting down perdition services (IMAP4)"
+ start-stop-daemon -o --quiet --stop --pidfile ${PIDDIR}/imap4.pid
+ eend $?
+ fi
+
+ if [ "${IMAP4S}" = "yes" ]; then
+ ebegin "Shutting down perdition services (IMAP4S)"
+ start-stop-daemon -o --quiet --stop --pidfile ${PIDDIR}/imap4s.pid
+ eend $?
+ fi
+}